Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface RCAnnotation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface RCAnnotation

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'RC Annotation'. Annotazione della risorsa

The following features are supported:

- `Source`
- `Details`

See Also:
  `AppresourcesPackage.getRCAnnotation()`

Method Summary
`org.eclipse.emf.common.util.EList<RCAnnotationDetail>` | `getDetails()` Returns the value of the 'Details' containment reference list.
`java.lang.String` | `getSource()` Returns the value of the 'Source' attribute
`void` | `setSource(java.lang.String value)` Sets the value of the '`Source`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSource

    java.lang.String getSource()

  Returns the value of the 'Source' attribute.

  If the meaning of the 'Source' attribute isn't clear, there really should be more of a description here...

  Serve per discriminare la fonte dell'annotazione. Attualmente è prevista la source "appresources".

  Returns:
    the value of the 'Source' attribute.
  See Also:
    `setSource(String)`, `AppresourcesPackage.getRCAnnotation_Source()`

### setSource

    void setSource(java.lang.String value)

  Sets the value of the '`Source`' attribute.

  Parameters:
    `value` - the new value of the 'Source' attribute.
  See Also:
    `getSource()`

### getDetails

    org.eclipse.emf.common.util.EList<RCAnnotationDetail> getDetails()

  Returns the value of the 'Details' containment reference list. The list contents are of type `RCAnnotationDetail`.

  If the meaning of the 'Details' containment reference list isn't clear, there really should be more of a description here...

  Dettaglio di una annotazione. contiene il vero contenuto informativo dell'annotazione

  Returns:
    the value of the 'Details' containment reference list.
  See Also:
    `AppresourcesPackage.getRCAnnotation_Details()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD